VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
PolyPressureEvent Struct Reference

PolyPressure event specific data. More...

`#include <ivstevents.h>`

## Public Attributes
int16 | channel
| channel index in event bus
int16 | pitch
| range [0, 127] = [C-2, G8] with A3=440Hz
float | pressure
| range [0.0, 1.0]
int32 | noteId
| event should be applied to the noteId (if not -1)

## Detailed Description

PolyPressure event specific data.

Used in Event (union)

## Member Data Documentation

## ◆ channel

int16 channel

channel index in event bus

## ◆ pitch

int16 pitch

range [0, 127] = [C-2, G8] with A3=440Hz

## ◆ pressure

float pressure

range [0.0, 1.0]

## ◆ noteId

int32 noteId

event should be applied to the noteId (if not -1)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.